Description

Hello.

the behaviour about vm image based provisionning had change between 1.13 and 1.14 version with vmware provider.

I dont know if it failed with an other provider.

Previouly, with 1.13 :

i had a template with only one disk and reach to provisionned a VM with 2 disk.

Now with 1.14 :

the number of disk in template must be the same than the number of disk for the future provisionned vm.

It failed with this error:

Failed to create a compute Vmware-PProd (VMware) instance machinename.example.com: InvalidRequest: Error parsing string 2 as

enum type VirtualDeviceConfigSpecOperation while parsing serialized value of type vim.vm.device.VirtualDeviceSpec.Operation at

line 1, column 4223 while parsing property "operation" of static type VirtualDeviceConfigSpecOperation while parsing serialized

DataObject of type vim.vm.device.VirtualDeviceSpec at line 1, column 4174 while parsing property "deviceChange" of static type

ArrayOfVirtualDeviceConfigSpec while parsing serialized DataObject of type vim.vm.ConfigSpec at line 1, column 577 while parsing

property "config" of static type VirtualMachineConfigSpec while parsing serialized DataObject of type vim.vm.CloneSpec at line 1,

column 325 while parsing call information for method CloneVM_Task at line 1, column 177 while parsing SOAP body at line 1,

column 167 while parsing SOAP envelope at line 1, column 0 while parsing HTTP request for method clone on object of type

vim.VirtualMachine at line 1, column 0

Reproducte way :

From foreman try to create a new vm (by cloning or from a template) with a number of disk different than the source.

Thank you for your attention.

History

#2 - 01/20/2017 03:14 PM - Anonymous

- Subject changed from image based provisionning with vmware provider. add disk change behaviour between 1.13 and 1.14 to image based

provisioning on vmware changed "add disk" behaviour with 1.14

- Category set to Compute resources - VMware

#3 - 06/02/2017 01:51 PM - Tyler Gregory

I'm experiencing this on 1.14.3. I manually downgraded the fog-vsphere library to version 1.0.0, the version which shipped with Foreman version 1.13,

and this fixed the issue. I also tried more recent versions of fog-vsphere than 1.7, up to and including 1.10, and this functionality remains broken

there.

#4 - 05/09/2018 05:54 PM - Chris Roberts

- Assignee set to Chris Roberts

- Difficulty set to medium

#5 - 06/28/2018 09:30 PM - Chris Roberts

- Status changed from New to Duplicate
- Triaged set to No

https://projects.theforeman.org/issues/22315
